Bug 9388 - Accessibility - No feedback when returning book.
Summary: Accessibility - No feedback when returning book.
Status: CLOSED WONTFIX
Alias: None
Product: Koha
Classification: Unclassified
Component: Staff Client (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Assignee: Jorgia
QA Contact:
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-01-15 00:53 UTC by Jorgia
Modified: 2017-12-07 22:16 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Text to go in the release notes:
Version(s) released in:


Attachments
Adds feedback when book is checked in successfully (1.63 KB, patch)
2013-01-15 03:30 UTC, Jorgia
Details | Diff | Splinter Review
Adds feedback when book is checked in successfully (1.63 KB, patch)
2013-01-15 03:31 UTC, Jorgia
Details | Diff | Splinter Review
Adds feedback when book is checked in successfully (1.63 KB, patch)
2013-01-15 03:31 UTC, Jorgia
Details | Diff | Splinter Review
Adds feedback when book is checked in successfully (1.63 KB, patch)
2013-01-15 03:33 UTC, Jorgia
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jorgia 2013-01-15 00:53:04 UTC
It is not clear to the visually impaired that the book has been successfully returned.
Comment 1 Jorgia 2013-01-15 03:30:59 UTC Comment hidden (obsolete)
Comment 2 Jorgia 2013-01-15 03:31:01 UTC Comment hidden (obsolete)
Comment 3 Jorgia 2013-01-15 03:31:01 UTC Comment hidden (obsolete)
Comment 4 Jorgia 2013-01-15 03:33:34 UTC
Created attachment 14587 [details] [review]
Adds feedback when book is checked in successfully

a possible future enhancement is to make the text invisible but still read by screen readers.

Oops, sorry for the triple-post.
Comment 5 Owen Leonard 2013-01-15 13:54:54 UTC
This is not valid XHTML:

<p class="problem"><h5>The item was returned</h5></p>

It also perpetuates a class that we need to get rid of (not that one would know by looking at the code). The "problem" class is obsolete.

This is a message rather than a warning, so it belongs in a different kind of dialog:

<div class="dialog message">
    <h5>Item successfully checked in</h5>
</div>

The above markup is valid, uses the proper message box style, and uses the correct phrase "checked in" which is default in the main "en" translation.

I would like to see some references posted on this bug about the best way to offer text to screen readers which is hidden for sighted users. I think current Koha users are accustomed to the idea that "no news is good news" when checking out. Adding a message for those users disrupts their work flow by requiring that they distinguish between messages with actionable information and messages without.
Comment 6 Aleisha Amohia 2016-01-27 00:10:36 UTC
Is this still valid? Now, the row is highlighted when it is checked in and says 'Checked in'.
Comment 7 Owen Leonard 2016-01-27 14:52:08 UTC
I don't think anything has changed since the bug was reported, so probably still valid in the eyes of the reporter.

However, since there has been no comment from the original submitter I'm inclined to mark this as "WONTFIX."